Subject: [ltans] Question about the hash against a single data object in RFC 4998

From: Satoru Otsubo <[email-masked]>
Date: Mon, 21 Dec 2009 12:03:28 +0900

I am Satoru Otsubo.

RFC 4998 Section 4.1 describes as follows (Page 12, line 16-18):
"If the optional field reducedHashtree is not present,
 the Archive Timestamp simply contains an ordinary timestamp."

>From this statement, I understand that
 if the digestAlgorithm designated in Archive Timestamp and
 the hashAlgorithm designated in the timestamp request are same,
 then we hash a data object
 (assuming a single data object need to be timestamped)
 with the digestAlgorithm ( = the hashAlgorithm) and
 send its result to the TSA. 
Namely, Only one hash is executed against a data object.

But if the digestAlgorithm designated in Archive Timestamp and
 the hashAlgorithm designated in the timestamp request are not same,
 then do we have to hash a data object with the digestAlgorithm designated in Archive Timestamp and
 then hash its result with the hashAlgorithm designated in the timestamp request ?
(as described in http://www.imc.org/ietf-ltans/mail-archive/msg00824.html)
Therefore hash is executed twice against a data object ?

Thanks in advance.